package com.bizmatics.mhfire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.core.util.BeanMapperUtils;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.mhfire.model.Test;
import com.bizmatics.mhfire.persistence.mapper.TestMapper;
import com.bizmatics.mhfire.service.TestService;

import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TestServiceImpl extends AbstractCrudService<TestMapper, Test> implements TestService {
    @Override
    public CommonPage<Test> get(String name) {
        LambdaQueryWrapper<Test> query = Wrappers.lambdaQuery(Test.class)
                .eq(Test::getId,1);
        IPage<Test> page = new Page<>(1, 10);
        IPage<Test> iPage = baseMapper.selectPage(page, query);
        return this.ToCommonPage(iPage);
    }
}
